Foreman - Bug #33540

Run 'subscription-manager clean' when force=true
09/22/2021 01:47 PM - Leos Stejskal

Status: Closed

Priority: Normal
Assignee: Leos Stejskal
Category: Host registration

Target version:

Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: 2006827 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/8789
Description

Description of problem:
Registration of CentOS 8 & RHEL 8 hosts that are already subscribed to another instance (or to cloud) fails with following error:

Unregistering from: satellite.example.com

Unable to verify server's identity: [SSL: TLSV1_ALERT_UNKNOWN_CA] tlsv1 alert unknown ca (_ssl.c:897)
Version-Release number of selected component (if applicable):

6.10

How reproducible:

e CentOS 8 and RHEL 8 only that are already subscribed somewhere else

Steps to Reproduce:
1. Try to register already subscribed CentOS 8 / RHEL 8 machine

Actual results:
Registration fails with error:

Unregistering from: satellite.example.com
Unable to verify server's identity: [SSL: TLSV1_ALERT_UNKNOWN_CA] tlsv1 alert unknown ca (_ssl.c:897)
Expected results:

Machine successfully registered.

Additional info:
Registration template should run “subscription-manager clean command when "--force’ parameter is “true’

Associated revisions

Revision 7d12d02e - 09/23/2021 02:13 PM - Leos Stejskal

Fixes #33540 - Run 'subscription-manager clean' when force=true

History

#1 - 09/22/2021 01:47 PM - Leos Stejskal

- Subject changed from b"Run 'subscription-manager clean' when force=true"
to Run 'subscription-manager clean' when force=true

- Description updated
- Category set to Host registration

- Assignee set to Leos Stejskal
#2 - 09/22/2021 02:04 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8789 added

#3 - 09/23/2021 02:13 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 09/23/2021 03:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7d12d02ec8be014284e5eeb102736d14f03f8c1d.

05/17/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7d12d02ec8be014284e5eeb102736d14f03f8c1d
http://www.tcpdf.org

